%define python3_pkgversion 39
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-3.3.3
%global pypi_name galaxy-ng
%global ui_name ansible-hub-ui
%global real_version 4.6.3

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        4.6.3
Release:        1.0.2%{?dist}
Summary:        galaxy-ng plugin for the Pulp Project

License:        GPLv2+
URL:            https://github.com/ansible/galaxy_ng/
#Source0:        https://files.pythonhosted.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{real_version}.tar.gz
Source0:        %{pypi_name}-%{real_version}.tar.bz2
Source1:        %{ui_name}-%{real_version}.tar.bz2
Source2:        NOTICE
Patch0:         galaxy-tag-change.patch
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-wheel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros
BuildRequires:  %{?scl_prefix}nodejs >= 14.20.0
BuildRequires:  %{?scl_prefix}npm >= 6.14.17


%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
Requires:       %{?scl_prefix}python%{python3_pkgversion}-django-automated-logging = 6.1.3
Requires:       %{?scl_prefix}python%{python3_pkgversion}-django-prometheus >= 2.0.0
Requires:       %{?scl_prefix}python%{python3_pkgversion}-drf-spectacular
Requires:       %{?scl_prefix}python%{python3_pkgversion}-dynaconf >= 3.1.9
Requires:       %{?scl_prefix}python%{python3_pkgversion}-galaxy-importer = 0.4.5
Requires:       %{?scl_prefix}python%{python3_pkgversion}-pulp-ansible < 1:0.16.0
Requires:       %{?scl_prefix}python%{python3_pkgversion}-pulp-ansible >= 1:0.15.0
Requires:       %{?scl_prefix}python%{python3_pkgversion}-pulp-container < 2.15.0
Requires:       %{?scl_prefix}python%{python3_pkgversion}-pulp-container >= 2.14.1
Requires:       %{?scl_prefix}python%{python3_pkgversion}-pulpcore < 3.22.0
Requires:       %{?scl_prefix}python%{python3_pkgversion}-pulpcore >= 3.21.1
Requires:       %{?scl_prefix}python%{python3_pkgversion}-setuptools
Requires:       %{?scl_prefix}python%{python3_pkgversion}-social-auth-app-django < 4.0.0
Requires:       %{?scl_prefix}python%{python3_pkgversion}-social-auth-app-django >= 3.1.0
Requires:       %{?scl_prefix}python%{python3_pkgversion}-social-auth-core < 4.0.0
Requires:       %{?scl_prefix}python%{python3_pkgversion}-social-auth-core >= 3.3.1
Requires:       %{?scl_prefix}python%{python3_pkgversion}-django-auth-ldap = 4.0.0

Provides:       pulpcore-plugin(galaxy-ng) = %{version}
Obsoletes:      python3-%{pypi_name} < %{version}-%{release}
Obsoletes:      python38-%{pypi_name} < %{version}-%{release}

%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%setup -q  -n %{pypi_name}-%{real_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%patch0 -p1
targetDir=$PWD/galaxy_ng/app/static/
rm $targetDir/galaxy_ng -rf
tar -xvf %{SOURCE1} -C $targetDir
cp %{SOURCE2} . 
%{?scl:EOF}

%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE NOTICE COMMITMENT
%doc README.md CHANGES.rst
%{python3_sitelib}/galaxy_ng
%{python3_sitelib}/galaxy_ng-%{real_version}-py%{python3_version}.egg-info


%changelog
* Fri Mar 24 2023 Qing Lin  <qing.lin@oracle.com> - 4.6.3-1.0.2
- added caveats after review

* Fri Mar 10 2023 Qing Lin  <qing.lin@oracle.com> - 4.6.3-1.0.1
- Update to  4.6.3
- Tag update 

* Mon Aug 01 2022 Odilon Sousa <osousa@redhat.com> - 4.4.4-1
- Release python-galaxy-ng 4.4.4

* Tue Mar 29 2022 Odilon Sousa <osousa@redhat.com> - 4.4.3-3
- Fix pulpcore requirement

* Tue Mar 29 2022 Odilon Sousa <osousa@redhat.com> - 4.4.3-2
- Fix pulp-ansible requirement

* Thu Mar 17 2022 Odilon Sousa <osousa@redhat.com> - 4.4.3-1
- Release python-galaxy-ng 4.4.3

* Wed Mar 02 2022 Odilon Sousa <osousa@redhat.com> - 4.4.2-1
- Release python-galaxy-ng 4.4.2

* Thu Jan 06 2022 Odilon Sousa <osousa@redhat.com> - 4.4.1-1
- Release python-galaxy-ng 4.4.1

* Thu Nov 18 2021 Odilon Sousa <osousa@redhat.com> - 4.4.0-1
- Release python-galaxy-ng 4.4.0

* Wed Nov 10 2021 Odilon Sousa <osousa@redhat.com> - 4.4.0-0.2.b2
- Release python-galaxy-ng 4.4.0b2

* Wed Oct 20 2021 Odilon Sousa <osousa@redhat.com> - 4.4.0-0.2.b1
- Release python-galaxy-ng 4.4.0b1

* Mon Oct 18 2021 Evgeni Golov - 4.4.0-0.2.a2
- Add provides for 'pulpcore-plugin' and obsolete old name

* Mon Sep 27 2021 Evgeni Golov 4.4.0-0.1.a2
- Update to 4.4.0a2

* Mon Sep 13 2021 Evgeni Golov 4.4.0-0.1.a1
- Update to 4.4.0a1

* Fri Jun 04 2021 Evgeni Golov - 4.3.1-1
- Release python-galaxy-ng 4.3.1

* Wed Jun 02 2021 Evgeni Golov 4.3.0-1
- Update to 4.3.0

* Wed May 12 2021 Evgeni Golov 4.3.0-0.1.b4
- Update to 4.3.0b4

* Mon Apr 19 2021 Evgeni Golov 4.3.0-0.1.a2
- Update to 4.3.0a2

* Thu Apr 01 2021 Evgeni Golov 4.3.0-0.1.a1
- Update to 4.3.0a1

* Fri Dec 18 2020 Evgeni Golov - 4.2.1-1
- Release python-galaxy-ng 4.2.1

* Fri Nov 13 2020 Evgeni Golov 4.2.0-1
- Update to 4.2.0

* Thu Nov 05 2020 Evgeni Golov 4.2.0-0.1.rc3
- Update to 4.2.0rc3

* Tue Nov 03 2020 Evgeni Golov 4.2.0-0.1.rc2
- Update to 4.2.0rc2

* Mon Oct 05 2020 Evgeni Golov 4.2.0-0.1.rc1
- Update to 4.2.0rc1

* Mon Sep 28 2020 Evgeni Golov 4.2.0-0.1.b3
- Update to 4.2.0b3

* Thu Sep 17 2020 Evgeni Golov 4.2.0-0.1.b2
- Update to 4.2.0b2

* Mon Sep 14 2020 Evgeni Golov 4.2.0-0.1.b1
- Update to 4.2.0b1

* Fri Jul 17 2020 Evgeni Golov - 4.2.0-0.1.a10
- Initial package.
